PHP error => define(): Declaration of case-insensitive constants is deprecated

More
2 months 2 weeks ago #181537 by Nickko
Hello, depuis la mise à jour vers la dernière version que je viens de faire aujourd'hui, j'obtiens le message d'erreur suivant :



Comment résoudre ce problème, une recherche sur le forum, Google et le bug tracker n'a rien donné, je suis perplexe.

Nickko
Head of ergonomics, UX & UI.
Attachments:

Please Log in or Create an account to join the conversation.

LimeSurvey Partners
More
2 months 2 weeks ago - 2 months 2 weeks ago #181539 by DenisChenu
PHP7.3 : secure.php.net/manual/fr/function.define.php

Définir des constantes insensible à la casse est obsolète à partir de PHP 7.3.0.

OK, à rapporter (tu dois pas être lon d'être le seul en PHP7.3 actuellement)

Sinon, le mode debug = 1 devrait ne plus montrer cette erreur.

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand .
An error happen ? Before make a new topic : remind the Debug mode .
Last edit: 2 months 2 weeks ago by DenisChenu.
The following user(s) said Thank You: Nickko

Please Log in or Create an account to join the conversation.

More
2 months 2 weeks ago #181540 by Nickko
Ok, j'ai eu une migration chez OVH je pense que ça a pu changé à ce moment là, je pensais encore être en PHP 7.2.

Merci Denis.

Nickko
Head of ergonomics, UX & UI.

Please Log in or Create an account to join the conversation.

More
2 months 2 weeks ago #181542 by Nickko
Il y a beaucoup de mieux mais il reste des erreurs visibles :

Nickko
Head of ergonomics, UX & UI.
Attachments:

Please Log in or Create an account to join the conversation.

More
2 months 2 weeks ago #181543 by Nickko
Avec debug à 0 ça marche sans plus aucune erreur.

Nickko
Head of ergonomics, UX & UI.

Please Log in or Create an account to join the conversation.

More
2 months 2 weeks ago #181550 by DenisChenu

Nickko wrote: Il y a beaucoup de mieux mais il reste des erreurs visibles :

Zutre, pourtant cela ne devrait pas
github.com/LimeSurvey/LimeSurvey/blob/master/index.php#L162
error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT & ~E_DEPRECATED);

Le obsolete devrait bien correspondre à E_DEPRECATED …

Rapporte quand même le bigue, c'en est 1.

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand .
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

More
2 months 1 week ago #181577 by Nickko
Tu veux que je remonte le bug parce que ça s'affiche alors que je suis en mode debug=1 ? C'est bien ça ?

Nickko
Head of ergonomics, UX & UI.
The following user(s) said Thank You: DenisChenu

Please Log in or Create an account to join the conversation.

More
2 months 1 week ago #181582 by DenisChenu
Oui, même en mode debug : ca doit passer :)

C'est sur quel distribution PHP7.3 en stable ? Sur Fedora29 : ca reste PHP7.2 :)

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand .
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

More
2 months 1 week ago #181587 by Nickko
Je suis sur un mutu OVH, en PHP 7.3 j'ai vérifié après ton message hier.

Nickko
Head of ergonomics, UX & UI.
The following user(s) said Thank You: DenisChenu

Please Log in or Create an account to join the conversation.

Moderators: Nickko

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!